/* Теоретичні питання
1. Яке призначення методу event.preventDefault() у JavaScript?
він відміняє стандартну поведінку елементів в js.
2. В чому сенс прийому делегування подій?
делегування подій необхідно, щоб обробляти події на рівні батьківських елементів замість того, щоб додавати обробники подій до кожного окремого дочірнього елемента.
3. Які ви знаєте основні події документу та вікна браузера?
DOMContentLoaded Спрацьовує, коли HTML-документ повністю завантажено і розібрано, але зовнішні ресурси(картинки, css) можуть ще не бути завантажені.
load Спрацьовує, коли всі ресурси сторінк повністю завантажені.
unload  користувач майже залишив сторінку, але ми ще можемо ініціювати деякі операції, такі як надсилання статистики.
beforeunload користувач залишає сторінку: ми можемо перевірити, чи користувач зберіг зміни і попросити його підтвердити бажання вийти.

Практичне завдання:

Реалізувати перемикання вкладок (таби) на чистому Javascript.

Технічні вимоги:

- У папці tabs лежить розмітка для вкладок. Потрібно, щоб після натискання на вкладку відображався конкретний текст для потрібної вкладки. При цьому решта тексту повинна бути прихована. У коментарях зазначено, який текст має відображатися для якої вкладки.
- Розмітку можна змінювати, додавати потрібні класи, ID, атрибути, теги.
- Потрібно передбачити, що текст на вкладках може змінюватись, і що вкладки можуть додаватися та видалятися. При цьому потрібно, щоб функція, написана в джаваскрипті, через такі правки не переставала працювати.

 Умови:
 - При реалізації обов'язково використовуйте прийом делегування подій (на весь скрипт обробник подій повинен бути один).
*/

const tabsTitle = document.querySelectorAll(".tabs-title");
const tabsContent = document.querySelectorAll(".tabs-content li");

tabsTitle.forEach(title => {
    title.classList.remove("active");
    tabsContent.forEach(content => {
        content.style.display = "none";
        title.addEventListener("click", (e) =>  {
            tabsTitle.forEach(title => {
                title.classList.remove("active");
            })
            e.currentTarget.classList.add("active");
            if (e.currentTarget.textContent === content.id) {
                content.style.display = "block";
            } else {
                content.style.display = "none";
            }
        })


    })

})


